<?php
namespace Ak\Wp\Model;

/**
 * Pruža konfiguraciju komponente.
 *
 * @package Ak\Wp\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 */
final class ConfigProvider
{
    /**
     * Vraća konfiguraciju
     *
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'orm' => [
                'annotation_namespaces' => [
                    __NAMESPACE__,
                ],
                'entity_paths' => [
                    __NAMESPACE__ => __DIR__ . '/Entity',
                ],
            ],
        ];
    }
}